Check if ruby is in $PATH.

This commit is contained in:
Ossi Herrala 2011-07-05 09:37:42 +00:00 committed by Timo Mkinen
parent 4ce58ed21a
commit f27c916edb

View file

@ -6,6 +6,12 @@ if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
which ruby > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo "error, ruby binary not in path" 1>&2
exit 1
fi
which puppet > /dev/null 2>&1 which puppet > /dev/null 2>&1
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "error, puppet binary not in path" 1>&2 echo "error, puppet binary not in path" 1>&2